> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Conversation Feedback

> Send the feedback for the given conversation



## OpenAPI

````yaml /api-reference/openapi.json post /v1/convai/conversations/{conversation_id}/feedback
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/conversations/{conversation_id}/feedback:
    post:
      tags:
        - Agents Platform
      summary: Send Conversation Feedback
      description: Send the feedback for the given conversation
      operationId: post_conversation_feedback_route
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            description: The id of the conversation you're taking the action on.
            examples:
              - 21m00Tcm4TlvDq8ikWAM
            embed: true
            title: Conversation Id
          description: The id of the conversation you're taking the action on.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversationFeedbackRequestModel'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConversationFeedbackRequestModel:
      properties:
        feedback:
          anyOf:
            - $ref: '#/components/schemas/UserFeedbackScore'
            - type: 'null'
          description: >-
            Either 'like' or 'dislike' to indicate the feedback for the
            conversation.
          examples:
            - like
      type: object
      title: ConversationFeedbackRequestModel
      examples:
        - feedback: like
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserFeedbackScore:
      type: string
      enum:
        - like
        - dislike
      title: UserFeedbackScore
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````